=== debian/changelog ===
qtweetlib (0.5+repack1-0ubuntu1) raring; urgency=low

  [ Prasad Murthy ]
  * Update debian/copyright
  * debian/control
    - Correct column widths of description
  * Repack original source:
    - remove source copy of qjson
    - add missing license copy for GPL-2

  [ Harald Sitter ]
  * Bump standards version to 3.9.4
  * Remove excess whitespaces from copyright

 -- Prasad Murthy <phoenix_firebrd@yahoo.com>  Thu, 07 Mar 2013 22:20:29 +0530

qtweetlib (0.5-0~raring1) raring; urgency=low

  * Forward port to quantal

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 24 Jun 2012 11:53:54 +0200

qtweetlib (0.5-0~precise1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 11 Mar 2012 01:47:05 +0100

qtweetlib (0.3.0-7~precise1) precise; urgency=low

  * Upload to precise

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 10 Dec 2011 23:58:41 +0100

qtweetlib (0.3.0-7~oneiric1) oneiric; urgency=low

  * Add transitional package for libqtweet1 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 17 Nov 2011 19:45:33 +0100

qtweetlib (0.3.0-6~oneiric1) oneiric; urgency=low

  * Fix library packaging
    - libqtweet1 should be libqtweetlib0.0 
    - libqtweetlib0.0 shouldn't ship libQTweetLib.so, put it in -dev
    - libqtweetlib0.0 breaks/replaces libqtweet1
    - libqtweetlib-dev breaks/replaces libqtweet1 and libqtweet-dev

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 Nov 2011 18:33:57 +0100

libqtweet1 (0.3.0-5~0ubuntu1~oneiric1) oneiric; urgency=low

  * Initial package.

 -- Paulo Dias <paulo.miguel.dias@gmail.com>  Thu, 10 Nov 2011 16:45:21 -0200
