=== debian/control ===
Source: qtweetlib
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paulo Dias <paulo.miguel.dias@gmail.com>
Build-Depends: cmake,
               debhelper (>= 7.3),
               pkg-kde-tools (>= 0.9),
               libqt4-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev,
               libqjson-dev
Standards-Version: 3.9.4
Homepage: https://github.com/minimoog/QTweetLib.git

Package: libqtweetlib1.0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: twitter library for Qt4
  - Supports only XAuth protocol (if there is need for PIN based OAuth I will
    include it)
  - OAuth tokens must be set in oauth.cpp line 27 and 28 to work properly
  - Uses QJson library by Flavio Castelli for parsing JSON responses
  - JSON parsing is done in multithreaded way using QThreadPool
  - User Streams support is not completed (fetches responses correctly,
    JSON parsing is not full implemented)

Package: libqtweetlib-dev
Section: libdevel
Architecture: any
Depends: libqtweetlib1.0 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libqtweet1 (<< 0.3.0-6), libqtweet-dev
Replaces: libqtweet1 (<< 0.3.0-6), libqtweet-dev
Description: twitter library for Qt4 - development files
  - Supports only XAuth protocol (if there is need for PIN based OAuth I will
    include it)
  - OAuth tokens must be set in oauth.cpp line 27 and 28 to work properly
  - Uses QJson library by Flavio Castelli for parsing JSON responses
  - JSON parsing is done in multithreaded way using QThreadPool
  - User Streams support is not completed (fetches responses correctly,
    JSON parsing is not full implemented)
